@echo off
rem  This batch file switches a MDOT MicroStation V8 installation to
rem  use the MDOT configuration on a local hard drive.
rem
cls
echo    This batch file will switch your MicroStation installation to
echo    use the MDOT configuration on your local drive.
echo:
echo    It requires that you have placed a copy of the \!msv8conf\
echo    folder on either your C: or D: drive.
echo:
echo  If this is NOT your intention, do a [CTRL]-C NOW!  Otherwise,
echo:
pause

if exist "c:\program files\bentley\program\microstation\ustation.exe" goto switch_c
if exist "d:\program files\bentley\program\microstation\ustation.exe" goto switch_d

rem  Error statement when MicroStation V8 is not on either C: or D:
cls
echo   MicroStation V8 was not found on either C: or D:
echo   Batch program aborted
echo:
pause
goto bitter_end:

:switch_c
del c:\!msv8conf\msflag.*
copy msflag.runlocal c:\!msv8conf\ /b/v
goto done

:switch_d
del d:\!msv8conf\msflag.*
copy msflag.runlocal d:\!msv8conf\ /b/v


:done

echo:
echo  Changeover to MDOT LOCAL CONFIG completed...
echo:
pause

:bitter_end
