@echo off
rem  This batch file switches a MDOT MicroStation installation back
rem  to the original stand-alone local mode
rem
cls
echo  This batch file will switch your MicroStation V8 installation
echo  to use the original Bentley configuration without the MDOT
echo  customization.
echo:
echo  If this is NOT your intention, do a [CTRL]-C NOW!  Otherwise,
echo:
pause

if exist "c:\program files\bentley\program\microstation\ustation.exe" goto switch_c
if exist "d:\program files\bentley\program\microstation\ustation.exe" goto switch_d

rem  Error statement when MicroStation V8 is not on either C: or D:
cls
echo   MicroStation V8 was not found on either C: or D:
echo   Batch program aborted
echo:
pause
goto bitter_end:

:switch_c
del c:\!msv8conf\msflag.*
copy msflag.runoriginal c:\!msv8conf\ /b/v
goto done

:switch_d
del d:\!msv8conf\msflag.*
copy msflag.runoriginal d:\!msv8conf\ /b/v


:done
echo:
echo  Changeover to LOCAL CONFIG completed...
echo:
pause

:bitter_end
