'plot routine to substitute text
'Written by Jud Caswell, Caswell Engineering

public sheetfilepos as long
'-----------
'-----------
'-----------
sub main

    dim test as long
dim pcfname         as string
dim dgnpath         as string
dim dptloc          as long     'location of decimal point

dgnpath = mbedgninfo.dgnfilename
dgnpath = fileparse$(dgnpath, 2)

pcfname = mbegetconfigvar("pcf_pinnumber")

do
    if left$(pcfname,1) = "0" then
        pcfname = mid$(pcfname,2)
    else
        exit do
    end if
loop

dptloc = instr(pcfname, ".")
if dptloc > 0 then
    pcfname = left$(pcfname,dptloc-1)
end if

if instr(dgnpath,pcfname) > 0 then
else
    stat = mbemessagebox ("Close MicroStation and choose a project (PIN) that is consistent with your file location.", MBE_WarningIcon)
end if
    
end sub
'-----------
'
'-----------
function dummyroutine (ElementToPlot as MbeElement) As Long
           
    dummyroutine = mbe_ElemNormal
    
end function
'-----------
'
'-----------
function replacesheetnumbers (ElementToPlot as MbeElement) As Long

    Dim Fileabbr                    as String
    dim stat                        as Long
    dim Filename                    as string
    dim tempstring                  as string
    dim Filenum                     as String
    dim LeadingZero                 as String
    dim SecondZero                  as String
    dim elemset                     as MbeElementSet
    dim elem                        as MbeElement
    dim setmember                   as MbeSetMember
    
    

'set the filenumber as the first three characters of the .dgn file name
'if the first character is a zero, remove it, if the first two are zeros, remove both

    tempstring = MbeDgnInfo.dgnFileName     
    FileName = fileparse$(tempstring,4)  
    Filenum = Left$(Filename,3)
    
    LeadingZero = Left$(filenum,1)
    SecondZero = Mid$(filenum,2,1)
    
    if StrComp (LeadingZero,"0",1) = 0 then
        if StrComp (SecondZero,"0",1) = 0 then
            Filenum = Right$(filenum,1)
        else
           Filenum = Right$(filenum,2)
        end if
    end if
   
    if ElementToPlot.getString(tempstring) = MBE_Success then        
        if StrComp(tempstring, "@SHEET@",0) = 0 then
            sheetfilePos = ElementToPlot.filePos
            stat = ElementToPlot.setString(filenum)
            'stat = ElementToPlot.rewrite()
            replacesheetnumbers = mbe_ElemNormal
        end if
    Else
        replacesheetnumbers = mbe_ElemNormal
    End If
        
    
  
end function

function undosheetnumberchange as long

    Dim Fileabbr                    as String
    dim stat                        as Long
    dim Filename                    as string
    dim tempstring                  as string
    dim Filenum                     as String
    dim LeadingZero                 as String
    dim SecondZero                  as String
    dim elemset                     as MbeElementSet
    dim elem                        as MbeElement
    dim setmember                   as MbeSetMember
    
    

'set the filenumber as the first three characters of the .dgn file name

    tempstring = MbeDgnInfo.dgnFileName     
    FileName = fileparse$(tempstring,4)  
    Filenum = Left$(Filename,3)
    
    LeadingZero = Left$(filenum,1)
    SecondZero = Mid$(filenum,2,1)
    
    if StrComp (LeadingZero,"0",1) = 0 then
        if StrComp (SecondZero,"0",1) = 0 then
            Filenum = Right$(filenum,1)
        else
            Filenum = Right$(filenum,2)
        end if
    end if
    
    Set elemSet = New MbeElementSet
    Set elem = New MbeElement
    
    sheetfilePos = elem.fromFile(sheetfilepos)
    
    if elem.getString(tempstring) = MBE_Success then   
        if elem.getString(tempstring) = MBE_Success then
            if StrComp(tempstring, filenum,0) = 0 then
                stat = elem.setString("@SHEET@")
                stat = elem.rewrite()
            end if
        end if
    End If
        
    undosheetnumberchange = MBE_Success    
    
end function
 
